Subject: (ngtrans) 6to4 and dstm

From: [email-masked]
Date: Wed, 23 Aug 2000 15:11:19 +0100

All,

You may want to have a look at this draft (see below). The draft shows one
way for Dual Stack Intranets to be deployed with minimum need for IPv4
address space and no native IPv6 connectivity.

The purpose of this draft as well as the one I sent out yesterday
(draft-tsirtsis-v4-over-mipv6-00.txt) is to show that Dual Stack deployment
is not only still possible but also easy. I had a private comment on the
v4-over-mipv6 draft saying that this is trivial and indeed it is! That is
the point!

It seams to me that a lot of people have given up on the idea of Dual Stack
especially in mobile networks. Although the idea that 3G is going IPv6 ONLY
(for at least some services) is kind of cool and it makes us all feel nice
about IPv6 deployment, we should not loose sight of the fact that in
engineering terms Dual Stack is what we want and need. The above drafts are
just meant to show that this is still possible!

The dstm/6to4 draft also touches on something that has been talked about as
a future work item in ngtrans. i.e: interactions between transition tools.
This is just an example, there is still a lot of work to be done.

Regards
George

Notice: This contribution is the personal view of the 
author and does not necessarily reflect the technical nor
commercial direction of his employer.

> -----Original Message-----
> From:	[email-masked] [SMTP:[email-masked]]
> Sent:	Wednesday, August 23, 2000 11:35 AM
> To:	IETF-Announce
> Subject:	I-D ACTION:draft-tsirtsis-6to4-and-dstm-00.txt
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> 
> 
> 	Title		: Dual Stack deployment using DSTM and 6to4
> 	Author(s)	: G. Tsirtsis
> 	Filename	: draft-tsirtsis-6to4-and-dstm-00.txt
> 	Pages		: 5
> 	Date		: 22-Aug-00
> 	
> It is desirable that most of IPv6 deployment is based on Dual Stack
> IPv4 and IPv6 nodes so that interoperability with the current IPv4
> based Internet be seamless. The 6to4 transition mechanism offers a
> automated mechanisms for addressing an IPv6 site as well as
> interconnectivity with other IPv6 sites when no native IPv6
> connectivity is available. DSTM provides a mechanism for dynamic
> IPv4 address allocation to Dual Stack nodes and a mechanism to send
> packets over a network that only supports IPv6 routing. By combining
> the two mechanisms we show how Dual Stack Intranets may be deployed
> with minimum need for IPv4 address space and no native IPv6
> connectivity.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-tsirtsis-6to4-and-dstm-00.txt
>

---

From: Jim Bound <[email-masked]>
Date: Tue, 29 Aug 2000 11:32:10 -0400

Hi George,

>v4-over-mipv6 draft saying that this is trivial and indeed it is! That is

I think this is a very good idea and draft. It appears we (DSTM authors)
need to develop another spec to put the DNS parts back in DSTM (or AIIH)
and also for draft-soliman-siit-dstm-00.txt.

If so how quick does the WG need a dstm-with-dns-and-aiih draft?

Would San Diego be quick enough?

thanks
/jim